Change CPU and memory for a cloud instance

Scale resources (CPU and memory) for your virtual server up or down. You need to provide the `accountId` for the service you want to modify. After the change, a `jobId` is returned which you use to track status via GET /api/jobs/{jobId}.

VPS & Cloud Cloud Capacity

Context

Used in the dashboard

/instance/[id]

Where to get IDs / values

Path Parameters

accountId integer · min: 1 required Example: 20000

Unique account identifier

Headers

Accept Example
Content-Type Example

Body

required
application/json
cores integer required · Example: 5
memory integer required · Example: 13

Responses

200
data object required
data.cores integer required · Example: 5
data.jobId string · Example: restart-20493-1774515585445
data.jobQueued boolean · Example: true
data.memory integer required · Example: 13
data.message string required · Example: Configuration updated. VM will restart to apply changes.

Human-readable message.

data.oldCores integer · Example: 3
data.oldMemory integer · Example: 16
data.vmid integer · Example: 10000
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

403
code string required · Example: FORBIDDEN

Machine-readable error code.

error string required · Example: Forbidden

HTTP status title (e.g. 'Bad Request').

message string required · Example: Resource limit exceeded. Current: 6, Limit: 24, Requested: +19

Human-readable message.

requestId string · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/cloud/{accountId}/resize
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/cloud/20000/resize" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "cores": 5,
    "memory": 13
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "message": "Configuration updated. VM will restart to apply changes.",
    "jobQueued": true,
    "jobId": "restart-20493-1774515585445",
    "vmid": 10000,
    "cores": 5,
    "memory": 13,
    "oldCores": 3,
    "oldMemory": 16
  }
}
Request Body Example 1
{
  "cores": 5,
  "memory": 13
}